<form method="post" class="undoable">
<?php wp_nonce_field('source_edit', '_carerix_nonce_field'); ?>
<input type="hidden" value="<?php echo @$edit_data['id']; ?>" name="id" id="source_id">
	
<div class="wrap">
	<div id="icon-edit-pages" class="icon32 icon32-posts-page"><br></div>
	<h2>Add New Promotional Job Source</h2>
	
	
    <div class="carerix_msgBox carerix_error" id="sync_error_message" style="display: none;">
        The Publication ID does not exists in the system or the system is not responding at <?php echo Environment_Installation::getAppName(); ?>.carerix.net . Check that the application name was correctly set. If the problem persists please inform your Carerix Administrator 
    </div>
	
    <div class="carerix_msgBox carerix_ok" id="success_message" style="display: none;">
        The Promotional Publication source was successfully saved. 
        <?php if(@$edit_data['id']): ?>
            The associated page was updated.
        <?php else: ?>
            A new page with the Publication Title was created in your Pages menu.
        <?php endif; ?>
    </div>

	
	<div class="carerix_msgBox carerix_note">
	 Fill the ID of the Publication and click Save. Optional you can add more parameters to the feed source or enable more options for the Publication source. The Publication page will be immediately available in your site.
</div>
	
	<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
			<div id="post-body-content">
				<div class="section">
					<input type="hidden" name="name" value="<?php echo @$edit_data['name']; ?>" size="30" id="title" autocomplete="off">
					<h2>Set Publication Id</h2>
					<input type="text" id="title" name="publication_id" size="30" autocomplete="off" style="padding: 3px 8px; font-size: 1.7em; line-height: 100%; width: 100%; outline: none;"  value="<?php echo @$edit_data['settings']['publication_id']; ?>" class="<?php if(@$title_error) echo "carerix_field_error"; ?>">

					<p class="carerix_field_error" style="display: none;" id="title_error_message">The Publication ID is mandatory</p>

				</div>
				
				<div class="section">
					<h2>Page intro text</h2>
					<?php wp_editor( @$edit_data['settings']['introtext'], "introtext" ); ?>
				</div>
				
				<div class="section">
					
				</div>
			</div>
<div id="postbox-container-2" class="postbox-container">
				<div class="meta-box-sortables ui-sortable" >
					<div class="postbox">
						<div class="handlediv" title="Click to toggle"><br></div>
						<h3 class="hndle"><span>Publication Details Options</span></h3>
						<div class="inside">
							<div id="">
							<br clear="all">
							<table id="newmeta">
								<thead>
<tr>
<th style="width: 200px;"><label for="metakeyselect">Name</label></th>
<th><label for="metavalue">Value</label></th>
<th><label></label></th>
</tr>
</thead>
								<tbody>
									<tr>
										<td style="vertical-align: middle; text-align: right;">
											Apply form
										</td>
										<td>
											<select name="apply_form">
												<?php foreach($apply_forms as $apply_form): ?>
	<?php $selected = ($apply_form['id'] == @$edit_data['settings']['apply_form']) ? "selected" :""; ?>
													<?php echo "<option $selected value='{$apply_form['id']}' >{$apply_form['name']}</option>"; ?>
												<?php endforeach; ?>
											</select>
										</td>
										<td style="vertical-align: middle;">
											
										</td>
									</tr>
									<tr>
										<td style="vertical-align: middle; text-align: right;">
											Display Tell A Friend link
										</td>
										<td>
											<input name="tell_a_friend_link" type="checkbox" <?php echo (@$edit_data['settings']['tell_a_friend_link']== 'on') ? "checked" : ""; ?> />
										</td>
										<td style="vertical-align: middle;">
											
										</td>
									</tr>
									<tr>
										<td style="vertical-align: middle; text-align: right;">
											Display Print link
										</td>
										<td>
											<input name="print_link" type="checkbox" <?php echo (@$edit_data['settings']['print_link']== 'on') ? "checked" : ""; ?> />
										</td>
										<td style="vertical-align: middle;">
											
										</td>
									</tr>
									<tr>
										<td style="vertical-align: middle; text-align: right;">
											Display Brief section
										</td>
										<td>
											<input name="brief_section" type="checkbox" <?php echo (@$edit_data['settings']['brief_section']== 'on') ? "checked" : ""; ?> />
										</td>
										<td style="vertical-align: middle;">
											
										</td>
									</tr>
									<tr>
										<td style="vertical-align: middle; text-align: right;">
											Display Social Icons
										</td>
										<td>
											<input name="social_icons" type="checkbox" <?php echo (@$edit_data['settings']['social_icons']== 'on') ? "checked" : ""; ?> />
										</td>
										<td style="vertical-align: middle;">
											
										</td>
									</tr>
									<tr>
										<td style="vertical-align: middle; text-align: right;">
											Display Job Alert Subscription
										</td>
										<td>
											<input name="job_alert_subscription" type="checkbox" <?php echo (@$edit_data['settings']['job_alert_subscription']== 'on') ? "checked" : ""; ?> />
										</td>
										<td style="vertical-align: middle;">
											
										</td>
									</tr>
								</tbody>
							</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		<div>
		<div class="carerix_msgBox carerix_note">
			The synchronization with Carerix process will start after clicking Save. This might take a few seconds. Do not close this page until the confirmation message is displayed.
	   </div>
			
            <button name="save" id="save" class="button button-primary button-large"><i class="fa fa-refresh fa-spin wait" style="display: none;"></i> Save</button>
            <a href="<?php echo $cancel_link; ?>" class="button button-large right">Cancel</a>
		</div>
		</div>
		
	</div>
	
</div>
	
</form>

<script type="text/javascript">
    jQuery(document).ready(function(e){
        $ = jQuery;
        $("#save").click(function(e){
           e.preventDefault();
           $("#success_message").hide();
           $("#sync_error_message").hide();
           $("#title_error_message").hide();
           $('#title').removeClass('carerix_field_error');
           var self = this;
           
           var introText = '';
           if($('#introtext').css('display') == 'none') {
               introText = tinyMCE.activeEditor.getContent();
           } else {
               introText = $('#introtext').val();
           }
           
           $("#introtext").val(introText);
           var $data = $("form.undoable").serialize();
           var url = ajaxurl + '?' +$data;
           
           var spinner = $(self).find('.wait').show();
           $(self).attr('disabled', 'disabled');
           
           var data = {
               action: 'save_source',
               type: 'promotional'
           };
           
           $.post(url, data, function(response, status, jqXHR){
               spinner.hide();
               $(self).removeAttr('disabled');
               if(response['success']) {
                   $("#source_id").val(response["id"]);
                   
                   var success = $("#success_message");
                   success.fadeIn();
                   var offset = success.offset();
                   offset.left -= 40;
                   offset.top -= 40;
                   
                   $('html, body').animate({
                       scrollTop: offset.top,
                       scrollLeft: offset.left
                   });
                   $("form.undoable").data("changed", false);
               }
               
               if(response['sync_error']) {
                   var sync_error = $("#sync_error_message");
                   sync_error.fadeIn();
                   var offset = sync_error.offset();
                   offset.left -= 40;
                   offset.top -= 40;
                   
                   $('html, body').animate({
                       scrollTop: offset.top,
                       scrollLeft: offset.left
                   });
               }
               
               if(response['title_error']) {
                   var title_error = $("#title_error_message");
                   title_error.fadeIn();
                   $('#title').addClass('carerix_field_error');
                   var offset = $('#title').offset();
                   offset.left -= 100;
                   offset.top -= 100;
                   
                   $('html, body').animate({
                       scrollTop: offset.top,
                       scrollLeft: offset.left
                   });
               }
               
           }, 'json');
           
           return false;
        });
    });
</script>